Skip to content

/api/v1/facilities/{facilityId}/inbound/putaway-rules (PUT)

PUT
/api/v1/facilities/{facilityId}/inbound/putaway-rules
curl --request PUT \
--url https://example.com/api/v1/facilities/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/inbound/putaway-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "rules": [ { "zoneId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "velocityClass": "A", "excluded": true } ] }'
facilityId
required
string format: uuid
object
rules
Array<object>
nullable
object
zoneId
string format: uuid
nullable
velocityClass
One of:
string
Allowed values: A B C
excluded
boolean

OK

Array<object>
object
zoneId
required
string format: uuid
zoneCode
required
string
zoneName
required
string
velocityClass
required
One of:
string
Allowed values: A B C
excluded
required
boolean
locationCount
required
integer format: int32

Bad Request

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Not Found

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Conflict

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable